import oscP5.*;
import netP5.*;

OscP5 oscP5;
NetAddress toIsadora;

String[] lines;
int numberOfLines;

void setup() {
  size(200, 200);
  noLoop(); 
  oscP5 = new OscP5(this, 6666);
  toIsadora = new NetAddress("127.0.0.1", 1234);
  lines = loadStrings("/subtitles.txt");
  numberOfLines=lines.length;
  OscMessage myMessage = new OscMessage("/isadora/1");
  myMessage.add(numberOfLines);
  oscP5.send(myMessage, toIsadora);
}

void draw() {
}

void oscEvent(OscMessage theOscMessage) {
  if (theOscMessage.checkAddrPattern("/1")==true) {  
    OscMessage myMessage = new OscMessage("/isadora/1");
    myMessage.add(numberOfLines);
    oscP5.send(myMessage, toIsadora);
  }

  if (theOscMessage.checkAddrPattern("/2")==true) {
    int lineNumber=int(theOscMessage.get(0).floatValue());
    OscMessage myMessage = new OscMessage("/isadora/2");
    if (numberOfLines>(lineNumber-1)) { 
      myMessage.add(lines[lineNumber-1]);
    }
    else {
      myMessage.add(" ");
    }
    oscP5.send(myMessage, toIsadora);
  }
}

